Bug 1111592

Summary: "WebSock error: [object Event]"
Product: Red Hat Satellite Reporter: Bryan Kearney <bkearney>
Component: SELinuxAssignee: Lukas Zapletal <lzap>
Status: CLOSED CURRENTRELEASE QA Contact: Katello QA List <katello-qa-list>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 6.0.3CC: bbuckingham, cwelton, jmontleo, kshravag
Target Milestone: UnspecifiedKeywords: Triaged
Target Release: Unused   
Hardware: Unspecified   
OS: Unspecified   
URL: http://projects.theforeman.org/issues/6162
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-11 12:28:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Bryan Kearney 2014-06-20 13:28:58 UTC
After hooking up a libvirt server to foreman I'm unable to access the 
VNC console. I already checked everything from 
http://theforeman.org/manuals/1.5/index.html#7.1NoVNC but I still get 
the "WebSock error: [object Event]" error.

> `grep AVC /var/log/audit/audit.log`
> 
> type=AVC msg=audit(1399456510.010:428): avc:  denied  { relabelto } for  pid=5010 comm="ruby" name="yaml" dev=dm-0 ino=394367 scontext=unconfined_u:system_r:passenger_t:s0 tcontext=system_u:object_r:puppet_var_lib_t:s0 tclass=dir
> type=AVC msg=audit(1399456510.053:429): avc:  denied  { relabelto } for  pid=5010 comm="ruby" name="masterhttp.log" dev=dm-0 ino=264319 scontext=unconfined_u:system_r:passenger_t:s0 tcontext=system_u:object_r:puppet_log_t:s0 tclass=file
> type=AVC msg=audit(1399456510.396:430): avc:  denied  { relabelto } for  pid=5010 comm="ruby" name="ca_crt.pem" dev=dm-0 ino=395701 scontext=unconfined_u:system_r:passenger_t:s0 tcontext=system_u:object_r:puppet_var_lib_t:s0 tclass=file
> type=AVC msg=audit(1399456511.688:433): avc:  denied  { execute } for  pid=5216 comm="ruby" name="node.rb" dev=dm-0 ino=2364347 scontext=unconfined_u:system_r:passenger_t:s0 tcontext=system_u:object_r:puppet_etc_t:s0 tclass=file
> type=AVC msg=audit(1399456511.688:433): avc:  denied  { execute_no_trans } for  pid=5216 comm="ruby" path="/etc/puppet/node.rb" dev=dm-0 ino=2364347 scontext=unconfined_u:system_r:passenger_t:s0 tcontext=system_u:object_r:puppet_etc_t:s0 tclass=file
> type=AVC msg=audit(1399458317.549:459): avc:  denied  { execute } for  pid=6379 comm="ruby" name="node.rb" dev=dm-0 ino=2364347 scontext=unconfined_u:system_r:passenger_t:s0 tcontext=system_u:object_r:puppet_etc_t:s0 tclass=file
> type=AVC msg=audit(1399458317.549:459): avc:  denied  { execute_no_trans } for  pid=6379 comm="ruby" path="/etc/puppet/node.rb" dev=dm-0 ino=2364347 scontext=unconfined_u:system_r:passenger_t:s0 tcontext=system_u:object_r:puppet_etc_t:s0 tclass=file
> type=AVC msg=audit(1399460122.486:479): avc:  denied  { execute } for  pid=7554 comm="ruby" name="node.rb" dev=dm-0 ino=2364347 scontext=unconfined_u:system_r:passenger_t:s0 tcontext=system_u:object_r:puppet_etc_t:s0 tclass=file
> type=AVC msg=audit(1399460122.486:479): avc:  denied  { execute_no_trans } for  pid=7554 comm="ruby" path="/etc/puppet/node.rb" dev=dm-0 ino=2364347 scontext=unconfined_u:system_r:passenger_t:s0 tcontext=system_u:object_r:puppet_etc_t:s0 tclass=file
> type=AVC msg=audit(1399462327.629:514): avc:  denied  { name_bind } for  pid=6998 comm="ruby" src=18882 scontext=unconfined_u:system_r:passenger_t:s0 tcontext=system_u:object_r:port_t:s0 tclass=udp_socket
> type=AVC msg=audit(1399620146.796:1033): avc:  denied  { getattr } for  pid=3890 comm="ruby" path="/usr/bin/ssh" dev=dm-0 ino=2100741 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file
> type=AVC msg=audit(1399620146.803:1034): avc:  denied  { getcap } for  pid=18897 comm="ruby" scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:system_r:passenger_t:s0 tclass=process
> type=AVC msg=audit(1399620146.803:1035): avc:  denied  { setcap } for  pid=18897 comm="ruby" scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:system_r:passenger_t:s0 tclass=process
> type=AVC msg=audit(1399620146.803:1036): avc:  denied  { execute } for  pid=18897 comm="ruby" name="ssh" dev=dm-0 ino=2100741 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file
> type=AVC msg=audit(1399620146.803:1036): avc:  denied  { read open } for  pid=18897 comm="ruby" name="ssh" dev=dm-0 ino=2100741 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file
> type=AVC msg=audit(1399620146.803:1036): avc:  denied  { execute_no_trans } for  pid=18897 comm="ruby" path="/usr/bin/ssh" dev=dm-0 ino=2100741 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file
> type=AVC msg=audit(1399898437.528:33): avc:  denied  { name_bind } for  pid=1610 comm="ruby" src=26907 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:port_t:s0 tclass=udp_socket
> type=AVC msg=audit(1399902097.497:69): avc:  denied  { name_bind } for  pid=3556 comm="ruby" src=27353 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:port_t:s0 tclass=udp_socket
> type=AVC msg=audit(1400484735.815:3319): avc:  denied  { name_bind } for  pid=17619 comm="ruby" src=63129 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:port_t:s0 tclass=udp_socket
> type=AVC msg=audit(1400485968.143:3325): avc:  denied  { name_bind } for  pid=8275 comm="ruby" src=61873 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:port_t:s0 tclass=udp_socket
> type=AVC msg=audit(1400486560.039:3356): avc:  denied  { name_bind } for  pid=8956 comm="ruby" src=63357 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:port_t:s0 tclass=udp_socket
> type=AVC msg=audit(1400492728.366:3395): avc:  denied  { name_bind } for  pid=8275 comm="ruby" src=18297 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:port_t:s0 tclass=udp_socket
> type=AVC msg=audit(1400495975.598:3414): avc:  denied  { name_bind } for  pid=8275 comm="ruby" src=27615 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:port_t:s0 tclass=udp_socket
> type=AVC msg=audit(1400500022.536:3433): avc:  denied  { name_bind } for  pid=14744 comm="ruby" src=8309 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:port_t:s0 tclass=udp_socket
> type=AVC msg=audit(1400662325.649:4356): avc:  denied  { name_bind } for  pid=16953 comm="ruby" src=15183 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:port_t:s0 tclass=udp_socket
> type=AVC msg=audit(1400686537.521:4667): avc:  denied  { getattr } for  pid=16953 comm="ruby" path="/usr/bin/ssh" dev=dm-0 ino=2100741 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file
> type=AVC msg=audit(1400686537.529:4668): avc:  denied  { getcap } for  pid=14945 comm="ruby" scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:system_r:passenger_t:s0 tclass=process
> type=AVC msg=audit(1400686537.529:4669): avc:  denied  { setcap } for  pid=14945 comm="ruby" scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:system_r:passenger_t:s0 tclass=process
> type=AVC msg=audit(1400686537.531:4670): avc:  denied  { execute } for  pid=14945 comm="ruby" name="ssh" dev=dm-0 ino=2100741 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file
> type=AVC msg=audit(1400686537.531:4670): avc:  denied  { read open } for  pid=14945 comm="ruby" name="ssh" dev=dm-0 ino=2100741 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file
> type=AVC msg=audit(1400686537.531:4670): avc:  denied  { execute_no_trans } for  pid=14945 comm="ruby" path="/usr/bin/ssh" dev=dm-0 ino=2100741 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file
> type=AVC msg=audit(1402388176.141:13989): avc:  denied  { name_bind } for  pid=16564 comm="ruby" src=62901 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:port_t:s0 tclass=udp_socket
> type=AVC msg=audit(1402482860.316:14646): avc:  denied  { getattr } for  pid=16564 comm="ruby" path="/usr/bin/ssh" dev=dm-0 ino=2100741 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file
> type=AVC msg=audit(1402482860.323:14647): avc:  denied  { getcap } for  pid=1827 comm="ruby" scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:system_r:passenger_t:s0 tclass=process
> type=AVC msg=audit(1402482860.324:14648): avc:  denied  { setcap } for  pid=1827 comm="ruby" scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:system_r:passenger_t:s0 tclass=process
> type=AVC msg=audit(1402482860.325:14649): avc:  denied  { execute } for  pid=1827 comm="ruby" name="ssh" dev=dm-0 ino=2100741 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file
> type=AVC msg=audit(1402482860.325:14649): avc:  denied  { read open } for  pid=1827 comm="ruby" name="ssh" dev=dm-0 ino=2100741 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file
> type=AVC msg=audit(1402482860.325:14649): avc:  denied  { execute_no_trans } for  pid=1827 comm="ruby" path="/usr/bin/ssh" dev=dm-0 ino=2100741 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file
> type=AVC msg=audit(1402483172.553:14650): avc:  denied  { name_bind } for  pid=16564 comm="ruby" src=7772 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:port_t:s0 tclass=udp_socket
> type=AVC msg=audit(1402483332.186:14651): avc:  denied  { getcap } for  pid=2212 comm="ruby" scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:system_r:passenger_t:s0 tclass=process
> type=AVC msg=audit(1402483332.186:14652): avc:  denied  { setcap } for  pid=2212 comm="ruby" scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:system_r:passenger_t:s0 tclass=process
> type=AVC msg=audit(1402484542.323:14698): avc:  denied  { getattr } for  pid=1957 comm="ruby" path="/usr/bin/ssh" dev=dm-0 ino=2100741 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file
> type=AVC msg=audit(1402484542.332:14699): avc:  denied  { getcap } for  pid=2893 comm="ruby" scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:system_r:passenger_t:s0 tclass=process
> type=AVC msg=audit(1402484542.332:14700): avc:  denied  { setcap } for  pid=2893 comm="ruby" scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:system_r:passenger_t:s0 tclass=process
> type=AVC msg=audit(1402484542.334:14701): avc:  denied  { execute } for  pid=2893 comm="ruby" name="ssh" dev=dm-0 ino=2100741 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file
> type=AVC msg=audit(1402484542.334:14701): avc:  denied  { read open } for  pid=2893 comm="ruby" name="ssh" dev=dm-0 ino=2100741 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file
> type=AVC msg=audit(1402484542.334:14701): avc:  denied  { execute_no_trans } for  pid=2893 comm="ruby" path="/usr/bin/ssh" dev=dm-0 ino=2100741 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file
> type=AVC msg=audit(1402484588.441:14702): avc:  denied  { name_bind } for  pid=1957 comm="ruby" src=25223 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:port_t:s0 tclass=udp_socket
> type=AVC msg=audit(1402488995.098:14726): avc:  denied  { getattr } for  pid=5393 comm="ruby" path="/usr/bin/ssh" dev=dm-0 ino=2100741 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file
> type=AVC msg=audit(1402488995.102:14727): avc:  denied  { execute } for  pid=5535 comm="ruby" name="ssh" dev=dm-0 ino=2100741 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file
> type=AVC msg=audit(1402488995.102:14727): avc:  denied  { read open } for  pid=5535 comm="ruby" name="ssh" dev=dm-0 ino=2100741 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file
> type=AVC msg=audit(1402488995.102:14727): avc:  denied  { execute_no_trans } for  pid=5535 comm="ruby" path="/usr/bin/ssh" dev=dm-0 ino=2100741 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file
>

Comment 1 Bryan Kearney 2014-06-20 13:28:59 UTC
Created from redmine issue http://projects.theforeman.org/issues/6162

Comment 2 Bryan Kearney 2014-06-20 13:29:05 UTC
Upstream bug assigned to lzap@redhat.com

Comment 3 Bryan Kearney 2014-06-20 13:38:32 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6162 has been closed

Comment 6 Bryan Kearney 2014-09-11 12:28:19 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.